<?xml version="1.0" encoding="UTF-8"?><MEMPL_ALLW_SP desc_eng="Special Allowance Table" desc_thai="ทะเบียนเงินได้พิเศษ" editcheck="true" mainhelp="MEMPL_ALLW_SPHELP" referhelp="MEMPL_ALLW_SPHELP" mainkey="EMPLOYEEID" fieldsystem="*" deleteflag="true" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
				<COMPONENT type="Text">
					<SIZE>15</SIZE>
					<MAXSIZE>15</MAXSIZE>
					<ALT_ENG>Employee ID</ALT_ENG>
					<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<FORMULAID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MFORMULA</RELATION>
			<DESC_ENG>Paycode</DESC_ENG>
			<DESC_THAI>รหัสสูตร</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Paycode</ALT_ENG>
				<ALT_THAI>รหัสสูตร</ALT_THAI>
			</COMPONENT>
		</FORMULAID>
		<AMOUNT lang="A" encrypt="true" log="true" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Salary</DESC_ENG>
			<DESC_THAI>เงินเดือนปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<VALUE>0.00</VALUE>
				<SIZE>15</SIZE>
				<MAXSIZE>25</MAXSIZE>
				<ALT_ENG>Salary</ALT_ENG>
				<ALT_THAI>เงินเดือนปัจจุบัน</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</AMOUNT>
		<CURRENCY lang="A" encrypt="false" log="true" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MCURRENCY</RELATION>
			<DESC_ENG>Currency</DESC_ENG>
			<DESC_THAI>อัตราการแลกเปลี่ยน</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Currency</ALT_ENG>
				<ALT_THAI>อัตราการแลกเปลี่ยน</ALT_THAI>
				<TABLE>MCURRENCYHELP,CURRENCYID,TDESC,  ,CURRENCYID</TABLE>
				<DEFAULTVALUE>B</DEFAULTVALUE>
			</COMPONENT>
		</CURRENCY>
		<EFF_DATE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="Calendar">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONFOCUS>this.select();</ONFOCUS>
			</COMPONENT>
		</EFF_DATE>
	</FIELD>
	<RELATION>	
	</RELATION>
</MEMPL_ALLW_SP>
